CANNASERVER(1M)

NAME
cannaserver - Kana-Kanji conversion server

SYNOPSIS
cannaserver [-d] [-l n] [ddpath]

DESCRIPTION

cannaserver provides the Kana-Kanji conversion service. Usually all users on the network can access cannaserver(1M). The scope of accessing sources (hosts, users) can be restricted using the /etc/hosts.canna file.

After starting, cannaserver(1M) immediately forks and enters the background process. Thus, you do not need to use '&' to set the background process explicitly.

When starting, cannaserver(1M) creates the lock file /var/run/canna/Canna.pid to avoid its duplicate starting. The lock file is deleted automatically at the end of cannaserver(1M) if no trouble occurs. The lock file may exist although cannaserver(1M) is not in operation (because cannaserver(1M) terminates abnormally, for example). In this case, delete the file manually.

When starting, cannaserver(1M) examines /usr/local/lib/canna/dic/premountdics and mounts the dictionaries described there before processing. This enables a quick response to return after a request to use a premounted dictionary is received from a client.

Specification of the dictionary to use is determined by referencing the dics.dir file of the dictionary directory according to the request from the client.

OPTIONS

ddpath
    Specifies the directory that contains the dictionary.

-l n
    Outputs the cannaserver(1M) log to /tmp/canna.log. n (1 to 5) specifies the log level.

-d  Starts cannaserver(1M) in debug mode. It is executed as the foreground process. Log data at log level 5 is output to the standard output.

FILES

/var/run/canna/Canna.pid
    Lock file

/usr/local/lib/canna/dic/*/dics.dir
    Dictionary directory

/etc/hosts.canna
    Access control file

/usr/local/lib/canna/dic/premountdics
    Premount dictionary list

SEE ALSO

cannakill(1M), cannastat(1), cannacheck(1)